from __future__ import annotations

from pyanilist._aclient import AsyncAniList
from pyanilist._client import AniList
from pyanilist._enums import (
    CharacterRole,
    CharacterSort,
    ExternalLinkType,
    MediaFormat,
    MediaRankType,
    MediaRelation,
    MediaSeason,
    MediaSort,
    MediaSource,
    MediaStatus,
    MediaType,
    RecommendationSort,
    StaffSort,
    StudioSort,
)
from pyanilist._errors import AnilistError, MediaNotFoundError, NoMediaArgumentsError, RateLimitError
from pyanilist._types import (
    AiringSchedule,
    Character,
    CharacterImage,
    CharacterName,
    FuzzyDate,
    Media,
    MediaCoverImage,
    MediaExternalLink,
    MediaRank,
    MediaStreamingEpisode,
    MediaTag,
    MediaTitle,
    MediaTrailer,
    RelatedMedia,
    Staff,
    StaffImage,
    StaffName,
    Studio,
    YearsActive,
)
from pyanilist._version import __version__

__all__ = (
    "AiringSchedule",
    "AniList",
    "AnilistError",
    "AsyncAniList",
    "Character",
    "CharacterImage",
    "CharacterName",
    "CharacterRole",
    "CharacterSort",
    "ExternalLinkType",
    "FuzzyDate",
    "Media",
    "MediaCoverImage",
    "MediaExternalLink",
    "MediaFormat",
    "MediaNotFoundError",
    "MediaRank",
    "MediaRankType",
    "MediaRelation",
    "MediaSeason",
    "MediaSort",
    "MediaSource",
    "MediaStatus",
    "MediaStreamingEpisode",
    "MediaTag",
    "MediaTitle",
    "MediaTrailer",
    "MediaType",
    "NoMediaArgumentsError",
    "RateLimitError",
    "RecommendationSort",
    "RelatedMedia",
    "Staff",
    "StaffImage",
    "StaffName",
    "StaffSort",
    "Studio",
    "StudioSort",
    "YearsActive",
    "__version__",
)
